cordova.define('cordova/plugin_list', function(require, exports, module) {
module.exports = [
  {
    "id": "cocoon-plugin-common.Cocoon",
    "file": "plugins/cocoon-plugin-common/www/cocoon.js",
    "pluginId": "cocoon-plugin-common",
    "runs": true
  },
  {
    "id": "cocoon-plugin-canvasplus-common.CanvasPlus",
    "file": "plugins/cocoon-plugin-canvasplus-common/www/cocoon_canvasplus.js",
    "pluginId": "cocoon-plugin-canvasplus-common",
    "runs": true
  },
  {
    "id": "cocoon-plugin-inapps-common.InApp",
    "file": "plugins/cocoon-plugin-inapps-common/www/cocoon_inapps.js",
    "pluginId": "cocoon-plugin-inapps-common",
    "runs": true
  },
  {
    "id": "cocoon-plugin-notifications-common.Notifications",
    "file": "plugins/cocoon-plugin-notifications-common/www/cocoon_notifications.js",
    "pluginId": "cocoon-plugin-notifications-common",
    "runs": true
  },
  {
    "id": "cocoon-plugin-notifications-android-local.Notifications",
    "file": "plugins/cocoon-plugin-notifications-android-local/www/cocoon_notifications_local.js",
    "pluginId": "cocoon-plugin-notifications-android-local",
    "runs": true
  },
  {
    "id": "cocoon-plugin-notifications-ios-local.Notifications",
    "file": "plugins/cocoon-plugin-notifications-ios-local/www/cocoon_notifications_local.js",
    "pluginId": "cocoon-plugin-notifications-ios-local",
    "runs": true
  },
  {
    "id": "cocoon-plugin-share.Share",
    "file": "plugins/cocoon-plugin-share/www/cocoon_share.js",
    "pluginId": "cocoon-plugin-share",
    "runs": true
  },
  {
    "id": "cocoon-plugin-social-common.Social",
    "file": "plugins/cocoon-plugin-social-common/www/cocoon_social.js",
    "pluginId": "cocoon-plugin-social-common",
    "runs": true
  },
  {
    "id": "cocoon-plugin-social-android-googleplaygames.GooglePlayGames",
    "file": "plugins/cocoon-plugin-social-android-googleplaygames/www/cocoon_googleplaygames.js",
    "pluginId": "cocoon-plugin-social-android-googleplaygames",
    "runs": true
  },
  {
    "id": "com.omarben.inappreview.inappreview",
    "file": "plugins/com.omarben.inappreview/www/inappreview.js",
    "pluginId": "com.omarben.inappreview",
    "clobbers": [
      "inappreview"
    ]
  },
  {
    "id": "cordova-fabric-plugin.FabricPlugin",
    "file": "plugins/cordova-fabric-plugin/www/FabricPlugin.js",
    "pluginId": "cordova-fabric-plugin",
    "clobbers": [
      "window.fabric.core"
    ]
  },
  {
    "id": "cordova-fabric-plugin.FabricAnswersPlugin",
    "file": "plugins/cordova-fabric-plugin/www/FabricPlugin.Answers.js",
    "pluginId": "cordova-fabric-plugin",
    "clobbers": [
      "window.fabric.Answers"
    ]
  },
  {
    "id": "cordova-fabric-plugin.FabricCrashlyticsPlugin",
    "file": "plugins/cordova-fabric-plugin/www/FabricPlugin.Crashlytics.js",
    "pluginId": "cordova-fabric-plugin",
    "clobbers": [
      "window.fabric.Crashlytics"
    ]
  },
  {
    "id": "cordova-plugin-appavailability.AppAvailability",
    "file": "plugins/cordova-plugin-appavailability/www/AppAvailability.js",
    "pluginId": "cordova-plugin-appavailability",
    "clobbers": [
      "appAvailability"
    ]
  },
  {
    "id": "cordova-plugin-customurlscheme.LaunchMyApp",
    "file": "plugins/cordova-plugin-customurlscheme/www/android/LaunchMyApp.js",
    "pluginId": "cordova-plugin-customurlscheme",
    "clobbers": [
      "window.plugins.launchmyapp"
    ]
  },
  {
    "id": "cordova-plugin-device.device",
    "file": "plugins/cordova-plugin-device/www/device.js",
    "pluginId": "cordova-plugin-device",
    "clobbers": [
      "device"
    ]
  },
  {
    "id": "cordova-plugin-facebook4.FacebookConnectPlugin",
    "file": "plugins/cordova-plugin-facebook4/www/facebook-native.js",
    "pluginId": "cordova-plugin-facebook4",
    "clobbers": [
      "facebookConnectPlugin"
    ]
  },
  {
    "id": "cordova-plugin-for-ios-custom-keyboard.customkeyboard",
    "file": "plugins/cordova-plugin-for-ios-custom-keyboard/www/customkeyboard.js",
    "pluginId": "cordova-plugin-for-ios-custom-keyboard",
    "clobbers": [
      "window.CustomKeyboard"
    ]
  },
  {
    "id": "cordova-plugin-gameanalytics.GameAnalytics",
    "file": "plugins/cordova-plugin-gameanalytics/www/GameAnalytics.js",
    "pluginId": "cordova-plugin-gameanalytics",
    "clobbers": [
      "GameAnalytics"
    ]
  },
  {
    "id": "cordova-plugin-ironsrc.IronSource",
    "file": "plugins/cordova-plugin-ironsrc/www/IronSource.js",
    "pluginId": "cordova-plugin-ironsrc",
    "clobbers": [
      "window.plugins.ironsource"
    ]
  },
  {
    "id": "cordova-plugin-ktplay.CordovaKTPlay",
    "file": "plugins/cordova-plugin-ktplay/www/CordovaKTPlay.js",
    "pluginId": "cordova-plugin-ktplay",
    "clobbers": [
      "window.plugins.ktplay"
    ]
  },
  {
    "id": "es6-promise-plugin.Promise",
    "file": "plugins/es6-promise-plugin/www/promise.js",
    "pluginId": "es6-promise-plugin",
    "runs": true
  },
  {
    "id": "cordova-plugin-screen-orientation.screenorientation",
    "file": "plugins/cordova-plugin-screen-orientation/www/screenorientation.js",
    "pluginId": "cordova-plugin-screen-orientation",
    "clobbers": [
      "cordova.plugins.screenorientation"
    ]
  },
  {
    "id": "cordova-plugin-taptic-engine.TapticEngine",
    "file": "plugins/cordova-plugin-taptic-engine/www/TapticEngine.js",
    "pluginId": "cordova-plugin-taptic-engine",
    "clobbers": [
      "TapticEngine"
    ]
  },
  {
    "id": "cordova-plugin-tenjin.tenjin",
    "file": "plugins/cordova-plugin-tenjin/www/tenjin.js",
    "pluginId": "cordova-plugin-tenjin",
    "clobbers": [
      "tenjin"
    ]
  }
];
module.exports.metadata = 
// TOP OF METADATA
{
  "cocoon-plugin-application-android": "1.0.3",
  "cocoon-plugin-common": "1.0.2",
  "cocoon-plugin-canvasplus-common": "1.2.0",
  "cocoon-plugin-inapps-common": "1.0.2",
  "cocoon-plugin-inapps-android-common": "1.0.1",
  "cocoon-plugin-inapps-android-googleplay": "1.0.2",
  "cocoon-plugin-inapps-ios-appstore": "1.0.2",
  "cocoon-plugin-notifications-common": "1.0.6",
  "cocoon-plugin-notifications-android-local": "1.0.4",
  "cocoon-plugin-notifications-ios-local": "1.0.2",
  "cocoon-plugin-share": "1.0.4",
  "cocoon-plugin-social-common": "1.0.1",
  "cocoon-plugin-social-android-googleplaygames": "1.1.4",
  "cocoon-plugin-social-ios-gamecenter": "1.0.3",
  "com.aquto.cordova.AppleAdvertising": "0.0.1",
  "com.cld.cordova.plugin.inappstore": "1.0.0",
  "com.ludei.canvasplus.android": "2.3.3",
  "com.ludei.canvasplus.ios": "2.3.3",
  "com.ludei.cipher.android": "1.0.0",
  "com.ludei.cipher.ios": "1.0.0",
  "com.ludei.usericon.android": "1.0.0",
  "com.ludei.usericon.ios": "1.0.0",
  "com.omarben.inappreview": "0.0.5",
  "cordova-append-plist": "0.0.1",
  "cordova-build-architecture": "1.0.4",
  "cordova-fabric-plugin": "1.1.10",
  "cordova-ios11-control-center": "1.0.0",
  "cordova-plugin-appavailability": "0.4.2",
  "cordova-plugin-customurlscheme": "4.3.0",
  "cordova-plugin-device": "2.0.2",
  "cordova-plugin-facebook4": "1.7.4",
  "cordova-plugin-for-ios-custom-keyboard": "1.0.4",
  "cordova-plugin-gameanalytics": "0.1",
  "cordova-plugin-ironsrc": "1",
  "cordova-plugin-ktplay": "1.0.0",
  "es6-promise-plugin": "4.2.2",
  "cordova-plugin-screen-orientation": "2.0.2-dev",
  "cordova-plugin-taptic-engine": "2.1.0",
  "cordova-plugin-tenjin": "1.0.0",
  "cordova-plugin-whitelist": "1.3.3",
  "notification-icon": "1.0.0"
};
// BOTTOM OF METADATA
});